let readFile = require('./readFile.js')
let writeFile = require('./writeFile.js')

let addPage = (file,rootRoute,route) => {
    let content = readFile(file)
    let json = JSON.parse(content)
    if(json[rootRoute]){
        console.log('一级路由已存在')
        isRoute = json[rootRoute].find((p) => {
            return p == route
        })
        if(isRoute){
            console.log('二级路由已存在')
        }else{
            json[rootRoute].push(route)
            let bucketJS = readFile(`/src/app/${rootRoute}/${rootRoute}.bucket.js`)
            bucketJS = `import ${route} from './${route}/${rootRoute}.${route}.bucket'
`+bucketJS
            bucketJS = bucketJS.replace(`export default {`,`export default {
    ${route},`)
            writeFile(`/src/app/${rootRoute}/${rootRoute}.bucket.js`,bucketJS)
            let scss = readFile(`/src/app/${rootRoute}/${rootRoute}.scss`)
            scss = `@import "./${route}/${rootRoute}.${route}.scss";
` + scss
            writeFile(`/src/app/${rootRoute}/${rootRoute}.scss`,scss)
        }
    }else{
        let entryJS = readFile('/src/entry.js')
        entryJS = entryJS.replace(`import PAGES from './.pages.json'`,`import PAGES from './.pages.json'
import './app/${rootRoute}/${rootRoute}.js'`)
        json[rootRoute] = [route]
        writeFile('/src/entry.js',entryJS)
    }
    writeFile(file,JSON.stringify(json))
}
module.exports = addPage