#!/usr/bin/env node
'use strict';

let program = require('commander'),
	prompt = require('prompt'),
	fs = require( 'fs' ),
    stat = fs.stat,
    path = require('path'),
    copy = require('copy-dir'),
    shell = require('../lib/process'),
    setOptions = require('../lib/setOption'),
    getOptions = require('../lib/options')
let wdngDir = path.join(__dirname,"..");
let projectDir = process.cwd();
prompt.start();
prompt.get(getOptions.init, function (err, result) {
    //获取参数
    let projectName = result.projectName;
    console.log(`项目名称:${ projectName }`);
    console.log("拉取模板");
    if(projectName){
        copy.sync(wdngDir+"/template/project/",projectDir+"/"+projectName+"/")
        getOptions.initFile.forEach((file) => {
            setOptions(`/${projectName}/${file}`,result);
        })
    }
    else{
        copy(wdngDir+"/template/project/",projectDir);
        setOptions(projectDir+"/package.json",result);
    }
    console.log("拉取模板完成");

  });